Bug 645632 - nfs exported filesystems will not unmount during shutdown/reboot
nfs exported filesystems will not unmount during shutdown/reboot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-22 01:32 EDT by G.Wolfe Woodbury
Modified: 2011-06-28 07:19 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 07:19:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description G.Wolfe Woodbury 2010-10-22 01:32:53 EDT
Description of problem:
 as discussed in RHEL bug #636513, nfs is not run at shutdown time because rc is expecting to see /var/lock/sybsys/nfs, and the start script created /var/lock/subsys/nfsd

Version-Release number of selected component (if applicable):


How reproducible:
always when filesystems are exported.


Steps to Reproduce:
1.
2.
3.
  
Actual results:
 upstart or rc fails to turn off NFS services because it fails to find the lockfile for nfs (because it is misnamed)


Expected results:


Additional info:
Comment 1 G.Wolfe Woodbury 2010-10-22 01:35:31 EDT
the fix is to edit /etc/init.d/nfs to touch /var/lock/subsys/nfs
instead of /var/lock/subsys/nfsd
Comment 2 Rick Warner 2011-05-18 16:13:41 EDT
This same bug is in Redhat Enterprise 6. Changing all occurances of /var/lock/subsys/nfsd to nfs in /etc/init.d/nfs resolved the problem.
Comment 3 Matt Kinni 2011-05-28 23:38:58 EDT
On fedora 15 i have the same problem; systemd fails to stop nfs and it's impossible to shutdown the computer without echo e>/proc/sysrq-trigger
Comment 4 Bug Zapper 2011-05-31 06:51:44 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2011-06-28 07:19:44 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.